import { Provider } from '@angular/core';
import { FastSvgProviderOptions } from './provider-config.interface';
/**
 * @description
 * Use this function to register the FastSvg providers in your application.
 *
 * @param options {FastSvgProviderOptions} - The options for the FastSvg providers.
 * @return { EnvironmentProviders } - The providers for the FastSvg module.
 *
 * @example
 *
 * ```ts
 * bootstrapApplication(AppComponent, {
 *  providers: [
 *   provideFastSVG({
 *     url: (name: string) => `path/to/svg-assets/${name}.svg`,
 *   })
 * ]});
 * ```
 */
export declare const provideFastSVG: (options: FastSvgProviderOptions) => Provider[];
